Subject: Re: [edu-team] Fwd: Re: Proposal to have a tutorial on basic statistics / tools specific to measurements

From: Mirjam Kuehne <[email-masked]>
Date: Fri, 14 Nov 2014 12:16:22 +0100

Hi Vinayak,

We are staring to prepare the tutorials for IETF 92 in Dallas. Will you
be available to give the statistics/measurement tutorial or would you
prefer to wait until IETF 93?

Kind regards,
Mirjam

On 30/7/14 16:44, Vinayak Hegde wrote:
> Hi Brian,
> 
> I will not be able to do a Tutorial in IETF 91. Maybe I can do one a
> couple of IETF's after that. I will start working on a draft soonish
> and send it to the EDU in a few months.
> 
> Thanks
> Vinayak
> 
> On Wed, Jul 30, 2014 at 9:43 AM, Brian E Carpenter
> <[email-masked]> wrote:
>> Hi Vinayak,
>>
>> The EDU team will need to fix the tutorials for IETF 91 (Honolulu)
>> very soon now. Can you let us know if you are still planning
>> to do this, and confirm that you will definitely be in Honolulu?
>>
>> Also we need to see a more detailed outline of the tutorial very
>> soon too, and draft slides several weeks before the meeting.
>> Experience shows that there needs to be time for a couple of
>> feedback cycles. The general guidelines for volunteer teachers
>> are at http://www.ietf.org/documents/GuidelinesEDU.pdf
>>
>> Regards
>>    Brian Carpenter
>>    (random member of the EDU team, since Mirjam is on vacation)
>>
>>
>> On 25/07/2014 05:56, Mirjam Kuehne wrote:
>>> Hi,
>>>
>>> See below the last conversation I had with Vinayak about the measurement
>>> tutorial.
>>>
>>> Can someone please pick this up and find out if he can deliver a
>>> tutorial at IETF 91?
>>>
>>> I will be offline  after tomorrow pretty much for the entire month of
>>> August.
>>>
>>> Thanks,
>>> Mirjam
>>>
>>> -------- Original Message --------
>>> Subject: Re: Proposal to have a tutorial on basic statistics / tools
>>> specific to measurements
>>> Date: Wed, 02 Oct 2013 09:28:27 +0200
>>> From: Mirjam Kuehne <[email-masked]>
>>> To: Vinayak Hegde <[email-masked]>
>>> CC: Al Morton <[email-masked]>
>>>
>>> Hi Vinayak,
>>>
>>> The Edu Team is generally interested in this, but would need to see a
>>> more detailed outline at some point. Also, there was some concern that a
>>> 90 minutes slot would not be sufficient for such a broad topic. But it
>>> would be a good start.
>>>
>>> I assume you are now planning to discuss this some more with OPS folks
>>> at IETF 88 and then possibly plan a tutorial for late 2014?
>>>
>>> Kind regards,
>>> Mirjam
>>>
>>>
>>> On 2/10/13 8:50 AM, Vinayak Hegde wrote:
>>>> Hi Mir, Al,
>>>>
>>>> I wrote to Benoit, Dan and the IPPM chairs and they were all very
>>>> supportive. Benoit and Dan are interested but they fell it might be
>>>> early to present it sometime in London but we can start work on it. Also
>>>> they felt that we can incorporate some of the work that IPPM and LMAP
>>>> are scheduled to do in the upcoming meetings.
>>>>
>>>> Mir, any feedback from the Edu-team members ?
>>>>
>>>> Thanks
>>>> Vinayak
>>>>
>>>>
>>>> On Thu, Sep 12, 2013 at 5:16 PM, Vinayak Hegde <[email-masked]
>>>> <mailto:[email-masked]>> wrote:
>>>>
>>>>     Hi Mirjam,
>>>>
>>>>     Thanks for the feedback. I will run it through Benoit.
>>>>
>>>>     Al,
>>>>
>>>>     Do you recommend anyone else to get feedback from (maybe such as Dan
>>>>     Romascanu ?)
>>>>
>>>>     Thanks
>>>>     Vinayak
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>     On Thu, Sep 12, 2013 at 2:26 PM, Mirjam Kuehne <[email-masked]
>>>>     <mailto:[email-masked]>> wrote:
>>>>
>>>>         Hi Vinayak,
>>>>
>>>>         Thanks again for this detailed proposal. I think this is a good
>>>>         idea. Did you already share this with one of the Ops ADs (I
>>>>         think Benoit Claise might be interested in this).
>>>>
>>>>         I passed it on to the other Edu Team members and will let you
>>>>         know what they said.
>>>>
>>>>
>>>>         Kind regards,
>>>>         Mirjam
>>>>
>>>>         On 9/9/13 4:58 PM, Vinayak Hegde wrote:
>>>>
>>>>             Hi Mirjam,
>>>>
>>>>             Did you get a chance to take a look at the following mail ?
>>>>             Thoughts ?
>>>>
>>>>             Should I also forward this to the edu team
>>>>             ([email-masked] <mailto:[email-masked]>
>>>>             <mailto:[email-masked] <mailto:[email-masked]>>)
>>>>
>>>>
>>>>
>>>>             Thanks
>>>>             Vinayak
>>>>
>>>>
>>>>             On Mon, Aug 12, 2013 at 7:29 PM, Vinayak Hegde
>>>>             <[email-masked] <mailto:[email-masked]>
>>>>             <mailto:[email-masked] <mailto:[email-masked]>>> wrote:
>>>>
>>>>                  Hi Mirjam,
>>>>
>>>>                  I had a short chat with you regarding conducting a
>>>>             training on
>>>>                  measurements and the statistics surrounding it. I have been
>>>>                  participating in the measurement working groups
>>>>             (IPPM[1], BMWG[2] and
>>>>                  now LMAP[3]). I am also a member of the PMOL
>>>>             (Performance metrics for
>>>>                  other layers)[4]. There has been quite a bit of
>>>>             interest in these
>>>>                  groups recently. for example LMAP recently chartered
>>>>             and there were
>>>>                  more than 10 drafts [5]. As such measurements is an
>>>>             important and
>>>>                  active part of the OPS area and is of interest to
>>>>             engineers,
>>>>                  regulators, policy and business.
>>>>
>>>>                  I want to answer the following questions about
>>>>             proposing the training
>>>>
>>>>                  Why we need this and why is it important ?
>>>>
>>>>                  There are several new people participating in the IETF
>>>>             in these groups
>>>>                  and we are trying to attract more. As a part of PMOL,
>>>>             we have been
>>>>                  trying to recruit more people who can contribute to
>>>>             reviewing drafts
>>>>                  for performance considerations. There is a growing
>>>>             concern that we now
>>>>                  have wnough bandwidth and latency is becoming more and
>>>>             more of a
>>>>                  critical issue across groups (and hence measuring it
>>>>             and improving it
>>>>                  becomes a critical issues). However, to understand
>>>>             measurements, you
>>>>                  need to not only have a good grip of the protocols but
>>>>             also some
>>>>                  amount of understanding of underlying statistics and
>>>>             modeling.
>>>>
>>>>                  For example, if we were to do a measurement, how many
>>>>             packets should
>>>>                  we send ? what should be the payload size and what
>>>>             should be the
>>>>                  duration between packets. How much loss are we okay
>>>>             with in case of
>>>>                  measurement to get a good idea. When we publish the
>>>>             measurements,
>>>>                  should we talk about the mean/median or distribution or
>>>>             both. etc.
>>>>
>>>>                  As you can see in the above questions, we not only have
>>>>             to understand
>>>>                  the network (across layers) but must understand how to
>>>>             statistically
>>>>                  model these as well to make sure the measurements make
>>>>             sense.
>>>>
>>>>                  Who will benefit and how ?
>>>>
>>>>                  I can see several people benefiting from these.
>>>>                  1. Network engineers - these will get a good idea of
>>>>             how to do
>>>>                  measurement and how to model measurements and interpret
>>>>             results. This
>>>>                  will lead to better measurements.
>>>>                  2. Regulators - They will get an understanding of how
>>>>             there are
>>>>                  complex interatcions in the network and the statistics
>>>>             behind the
>>>>                  measurements. This will lead to better policy.
>>>>                  3. Network equipment manufacturers/vendors - They will
>>>>             get an idea of
>>>>                  how to use different knobs and levers so the network
>>>>             engineers can use
>>>>                  them effectively.
>>>>
>>>>                  What should we cover ?
>>>>
>>>>                  This is an area for discussion. As a start we can cover
>>>>                  1. Current work in the IETF for measurements
>>>>                  2. A Short intro to tcp models and cross-layer network
>>>>             concerns
>>>>                  3. Underlying statistics (relevant to measurements)
>>>>                  4. Implications for network engineers and policy
>>>>
>>>>                  How we can we structure it ?
>>>>
>>>>                  We can have a 1.5 / 2 hour Sunday session on this.
>>>>
>>>>                  When can we schedule it ?
>>>>
>>>>                  Tentatively assuming all goes well, we can target for
>>>>             the London
>>>>                  meeting assuming that we can get the course material
>>>>             ready by then.
>>>>
>>>>                  Also we can reach out to several people for helping out
>>>>             with this -
>>>>                  People who are active on IPPM, LMAP, PMOL and BMWG. I
>>>>             can also help
>>>>                  out with the course material. Al (cc-ed here) will also
>>>>             help out with
>>>>                  the course material.
>>>>
>>>>                  -- Vinayak
>>>>
>>>>                  References:
>>>>                  1. https://datatracker.ietf.org/__wg/ippm/charter/
>>>>             <https://datatracker.ietf.org/wg/ippm/charter/>
>>>>                  2. https://datatracker.ietf.org/__wg/bmwg/charter/
>>>>             <https://datatracker.ietf.org/wg/bmwg/charter/>
>>>>                  3. https://datatracker.ietf.org/__wg/lmap/charter/
>>>>             <https://datatracker.ietf.org/wg/lmap/charter/>
>>>>                  4. https://www.ietf.org/mailman/__listinfo/pmol
>>>>             <https://www.ietf.org/mailman/listinfo/pmol>
>>>>                  5.
>>>>             https://datatracker.ietf.org/__meeting/87/agenda/lmap/
>>>>             <https://datatracker.ietf.org/meeting/87/agenda/lmap/>
>>>>
>>>>
>>>>
>>>>
>>>>
>>>
>>>
>>>
>>> _______________________________________________
>>> edu-team mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/edu-team
>>>
> 
> _______________________________________________
> edu-team mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/edu-team
>